﻿<%@ Page Title="Call Log" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="CallLog.aspx.cs" Inherits="EnhancedBillingCodes.Web.CallLog" %>

<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <style type="text/css">
        #form1 .dxbButton {
            background: none;
        }
    </style>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
   <%-- <div style="width: 870px; margin: 0 auto; padding-top: 15px;">
        <table>
            <tr>
                <td>
                    <dx:ASPxLabel ID="lblTimeZone" runat="server" Text="Display Time Zone:" />
                    &nbsp;&nbsp;</td>
                <td>
                    <dx:ASPxComboBox ID="cbTimeZone" runat="server" ValueField="key" TextField="value" Width="400px" AutoPostBack="false">
                        <ClientSideEvents SelectedIndexChanged="function(s,e) { cbpGrid.PerformCallback(); grid.Refresh(); }" />
                    </dx:ASPxComboBox>
                </td>
            </tr>
        </table>
    </div>--%>
    <div style="width: 870px; margin: 0 auto; padding-top: 15px;">
        <dx:ASPxCallbackPanel ID="cbpGrid" runat="server" ClientInstanceName="cbpGrid">
            <PanelCollection>
                <dx:PanelContent runat="server">
                    <div class="shadow">
                        <dx:ASPxGridView
                            ID="grid"
                            runat="server"
                            KeyFieldName="ID"
                            DataSourceID="sdsCallLog"
                            ClientInstanceName="grid"
                            CssClass="shadow"
                            EnableRowsCache="False"
                            AutoGenerateColumns="False"
                            Theme="Metropolis">
                            <Columns>
                                <dx:GridViewCommandColumn
                                    ShowClearFilterButton="true"
                                    ButtonType="Image"
                                    Width="50"
                                    VisibleIndex="0" />
                                <dx:GridViewDataTextColumn FieldName="ID" VisibleIndex="0" Caption="ID" Visible="false" />
                                <dx:GridViewDataTextColumn FieldName="CallID" VisibleIndex="1" Caption="CallID" Visible="false" />
                                <dx:GridViewDataTextColumn FieldName="Owner" VisibleIndex="2" Caption="Owner" Width="100" />
                                <dx:GridViewDataTextColumn FieldName="Code" VisibleIndex="3" Caption="Account" Width="100" Visible="true" />
                                <dx:GridViewDataTextColumn FieldName="CallFrom" VisibleIndex="4" Caption="From" Width="75" />
                                <dx:GridViewDataTextColumn FieldName="CallTo" VisibleIndex="5" Caption="To" Width="150" />
                                <dx:GridViewDataDateColumn FieldName="CallStart" VisibleIndex="6" Caption="Start" Width="150">
                                    <PropertiesDateEdit DisplayFormatString="G" />
                                </dx:GridViewDataDateColumn>
                                <dx:GridViewDataDateColumn FieldName="CallEnd" VisibleIndex="6" Caption="End" Width="150">
                                    <PropertiesDateEdit DisplayFormatString="G" />
                                </dx:GridViewDataDateColumn>
                                <dx:GridViewDataTextColumn FieldName="Duration" VisibleIndex="7" Caption="Duration" Width="60" />
                                <dx:GridViewDataTextColumn FieldName="CallCost" VisibleIndex="8" Caption="Cost" Width="65">
                                    <PropertiesTextEdit DisplayFormatString="C2" />
                                </dx:GridViewDataTextColumn>
                                <dx:GridViewDataCheckColumn FieldName="Answered" VisibleIndex="9" Caption="Answered" Width="65" />
                            </Columns>
                            <Templates>
                                <TitlePanel>
                                    <div style="float: left; padding-left: 5px; padding-top: 4px;">Call Log</div>
                                    <div style="float: right">
                                        <dx:ASPxLabel ID="lblExport" runat="server" Text="Export To:" />
                                        <dx:ASPxButton ID="btnCSV" runat="server" Text="CSV" Image-IconID="export_exporttocsv_16x16" Border-BorderStyle="None" OnClick="btnCSV_Click" ToolTip="Export to CSV" />
                                        <dx:ASPxButton ID="btnXLS" runat="server" Text="XLS" Image-IconID="export_exporttoxls_16x16" Border-BorderStyle="None" OnClick="btnXLS_Click" ToolTip="Export to XLS" />
                                        <dx:ASPxButton ID="btnXLSX" runat="server" Text="XLSX" Image-IconID="export_exporttoxlsx_16x16" Border-BorderStyle="None" OnClick="btnXLSX_Click" ToolTip="Export to XLSX" />
                                        <dx:ASPxButton ID="btnPDF" runat="server" Text="PDF" Image-IconID="export_exporttopdf_16x16 " Border-BorderStyle="None" OnClick="btnPDF_Click" ToolTip="Export to PDF" />
                                    </div>
                                </TitlePanel>
                            </Templates>
                            <SettingsCommandButton
                                ClearFilterButton-Image-IconID="actions_clear_16x16gray">
                            </SettingsCommandButton>
                            <Settings
                                ShowGroupPanel="true"
                                ShowFilterRow="True"
                                ShowFilterRowMenu="true"
                                ShowTitlePanel="True"
                                ShowFilterBar="Visible"
                                ShowFooter="true"
                                ShowGroupFooter="VisibleIfExpanded"
                                VerticalScrollableHeight="400"
                                VerticalScrollBarMode="Auto" />
                            <SettingsText
                                CommandDelete="Delete Call Log entry?"
                                Title="Call Log"
                                CommandBatchEditUpdate="Save" />
                            <SettingsBehavior ConfirmDelete="true" />
                            <Styles>
                                <AlternatingRow Enabled="True" BackColor="WhiteSmoke" />
                                <TitlePanel BackColor="DarkOrange" ForeColor="White" />
                                <StatusBar BackColor="DarkOrange" />
                            </Styles>
                            <SettingsPager PageSize="40" />
                            <GroupSummary>
                                <dx:ASPxSummaryItem FieldName="Code" ShowInGroupFooterColumn="Code" SummaryType="Count" />
                                <dx:ASPxSummaryItem FieldName="CallLength" ShowInGroupFooterColumn="CallLength" SummaryType="Sum" />
                                <dx:ASPxSummaryItem FieldName="CallCost" ShowInGroupFooterColumn="CallCost" SummaryType="Sum" />
                            </GroupSummary>
                            <TotalSummary>
                                <dx:ASPxSummaryItem FieldName="Code" SummaryType="Count" />
                                <dx:ASPxSummaryItem FieldName="CallLength" SummaryType="Sum" />
                                <dx:ASPxSummaryItem FieldName="CallCost" SummaryType="Sum" Tag="Call Cost:" />
                            </TotalSummary>
                        </dx:ASPxGridView>
                    </div>
                </dx:PanelContent>
            </PanelCollection>
        </dx:ASPxCallbackPanel>
        <dx:ASPxGridViewExporter ID="gridExporter" runat="server" GridViewID="grid" />
    </div>

    <asp:SqlDataSource
        ID="sdsCallLog"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:3CXEnhancedBillingCodesConStr %>"
       ></asp:SqlDataSource>
 
    <asp:SqlDataSource
        ID="sdOwners"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:3CXEnhancedBillingCodesConStr %>"
        SelectCommand="SELECT OwnerId, Name FROM [Owner]"></asp:SqlDataSource>

</asp:Content>
