﻿<%@ Page Title="Reports" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Reports.aspx.cs" Inherits="EnhancedBillingCodes.Web.Reports" %>

<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server" />
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">




    <asp:ScriptManager ID="ScriptManager1" runat="server" />


    <div style="padding: 15px;">
        <%--<dx:ASPxCallbackPanel ID="cbpGrid" runat="server" ClientInstanceName="cbpGrid">
            <PanelCollection>
                <dx:PanelContent runat="server">--%>
        <%--<asp:UpdatePanel ID="UpdatePanel1" runat="server">
                        <ContentTemplate>--%>
        <div style="padding: 5px 15px 5px 0; float: right;">
            <table>
                <tr>
                    <td>
                        <dx:ASPxLabel ID="lblReportStartTime" runat="server" Text="Report Start Time:" />
                        &nbsp;&nbsp;</td>
                    <td>
                        <dx:ASPxDateEdit ID="dtpReportStartTime" runat="server" EditFormat="Custom" Width="160px" Theme="Metropolis" EditFormatString="MM/dd/yyyy hh:mm:ss tt">
                            <TimeSectionProperties Visible="true">
                                <TimeEditProperties EditFormatString="hh:mm:ss tt" />
                            </TimeSectionProperties>
                        </dx:ASPxDateEdit>
                    </td>
                    <td>&nbsp;
                    </td>
                    <td>
                        <dx:ASPxLabel ID="lblReportEndTime" runat="server" Text="Report End Time:" />
                        &nbsp;&nbsp;</td>
                    <td>
                        <dx:ASPxDateEdit ID="dtpReportEndTime" runat="server" EditFormat="Custom" Width="160px" Theme="Metropolis" EditFormatString="MM/dd/yyyy hh:mm:ss tt">
                            <TimeSectionProperties Visible="true">
                                <TimeEditProperties EditFormatString="hh:mm:ss tt" />
                            </TimeSectionProperties>
                        </dx:ASPxDateEdit>
                    </td>
                    <td>&nbsp;
                    </td>
                    <td>
                        <dx:ASPxLabel ID="lblOwner" runat="server" Text="Department:"></dx:ASPxLabel>
                    </td>
                    <td>
                        <asp:UpdatePanel ID="updOwner" runat="server">
                            <ContentTemplate>
                                <dx:ASPxComboBox ID="cboxOwner" runat="server" DataSourceID="sd_OwnerList" TextField="Name" ValueField="OwnerId" ValueType="System.String" Width="160px"></dx:ASPxComboBox>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </td>
                    <td>&nbsp;
                    </td>
                    <td>
                        <dx:ASPxLabel ID="lblAccountCode" runat="server" Text="Account Code: " />
                        &nbsp;&nbsp;
                    </td>
                    <td>
                        <dx:ASPxComboBox ID="cboxAccountCode" runat="server" Width="160px" DropDownWidth="550"
                            DropDownStyle="DropDownList" DataSourceID="sdsAccountCodes" ValueField="Code"
                            ValueType="System.String" TextFormatString="{0} {1}" EnableCallbackMode="true" IncrementalFilteringMode="StartsWith"
                            CallbackPageSize="30">
                            <Columns>
                                <dx:ListBoxColumn FieldName="Description" Width="400px" />
                                <dx:ListBoxColumn FieldName="Code" Width="200px" />
                            </Columns>
                        </dx:ASPxComboBox>
                    </td>
                    <td>&nbsp;
                    </td>
                    <td>
                        <dx:ASPxButton ID="btnRunReport" runat="server" Text="Run Report" OnClick="btnRunReport_Click"></dx:ASPxButton>
                    </td>
                    <td>&nbsp;
                    </td>
                </tr>
            </table>
        </div>

        <dx:ASPxGridView
            ID="gv_CallLog"
            runat="server"
            ClientInstanceName="gv_CallLog"
            Width="100%"
            CssClass="shadow"
            Theme="Metropolis"
            AutoGenerateColumns="False"
            DataSourceID="sds_CallHistory"
            KeyFieldName="Id" Settings-ShowGroupFooter="Hidden" OnHtmlRowCreated="gv_CallLog_HtmlRowCreated">
            <Columns>
                <dx:GridViewDataTextColumn FieldName="ID" VisibleIndex="0" Visible="false" />
                <dx:GridViewDataTextColumn FieldName="Year" Caption="Year" VisibleIndex="1" Width="100px" GroupIndex="1" />
                <dx:GridViewDataTextColumn FieldName="Month" Caption="Month" VisibleIndex="2" Width="100px" GroupIndex="2" />
                <dx:GridViewDataTextColumn FieldName="Department" Caption="Department" VisibleIndex="3" Width="100px" GroupIndex="3" />
                <dx:GridViewDataTextColumn FieldName="Pin" Caption="Pin" VisibleIndex="4" Width="100px" GroupIndex="3" />
                <dx:GridViewDataDateColumn FieldName="Date" Caption="Date" VisibleIndex="5" Width="200px" SortOrder="Ascending" PropertiesDateEdit-DisplayFormatString="MM/dd/yyyy" />
                <dx:GridViewDataDateColumn FieldName="Time" Caption="Time" VisibleIndex="6" Width="200px" PropertiesDateEdit-DisplayFormatString="hh:mm:ss.fff tt" />
                <dx:GridViewDataTextColumn FieldName="Duration" Caption="Duration" VisibleIndex="7" Width="150px" />
                <dx:GridViewDataTextColumn FieldName="CallFrom" Caption="Stn" VisibleIndex="8" Width="200px" GroupIndex="4" />
                <dx:GridViewDataTextColumn FieldName="CallTo" Caption="Phone" VisibleIndex="9" Width="200px" />
                <dx:GridViewDataTextColumn FieldName="Location" Caption="Location" VisibleIndex="10" Width="200px" />
                <dx:GridViewDataTextColumn FieldName="CallCost" Caption="Cost" VisibleIndex="11" Width="150px" UnboundType="Decimal" PropertiesTextEdit-DisplayFormatString="C2" />
                <dx:GridViewDataCheckColumn FieldName="Answered" Caption="Answered" VisibleIndex="12" Width="150px" PropertiesCheckEdit-DisplayFormatString="c" Visible="false" />
            </Columns>
            <Templates>
                <TitlePanel>
                    <div style="float: left; padding-left: 5px; padding-top: 4px;">Call Log</div>
                    <div style="float: right">
                        <dx:ASPxLabel ID="lblExport" runat="server" Text="Export To:" />
                        <dx:ASPxButton ID="btnCSV" runat="server" Text="CSV" Image-IconID="export_exporttocsv_16x16" Border-BorderStyle="None" OnClick="btnCSV_Click" ToolTip="Export to CSV" />
                        <dx:ASPxButton ID="btnXLS" runat="server" Text="XLS" Image-IconID="export_exporttoxls_16x16" Border-BorderStyle="None" OnClick="btnXLS_Click" ToolTip="Export to XLS" />
                        <dx:ASPxButton ID="btnXLSX" runat="server" Text="XLSX" Image-IconID="export_exporttoxlsx_16x16" Border-BorderStyle="None" OnClick="btnXLSX_Click" ToolTip="Export to XLSX" />
                        <dx:ASPxButton ID="btnPDF" runat="server" Text="PDF" Image-IconID="export_exporttopdf_16x16 " Border-BorderStyle="None" OnClick="btnPDF_Click" ToolTip="Export to PDF" />
                    </div>
                </TitlePanel>
            </Templates>
            <Settings
                ShowTitlePanel="true"
                ShowFilterRow="true"
                ShowGroupPanel="true"
                EnableFilterControlPopupMenuScrolling="true"
                ShowFilterBar="Visible"
                ShowFilterRowMenu="true"
                HorizontalScrollBarMode="Visible"
                ShowFooter="true" ShowGroupFooter="VisibleIfExpanded"></Settings>
            <TotalSummary>
                <dx:ASPxSummaryItem FieldName="Duration" SummaryType="Sum" />
                <dx:ASPxSummaryItem FieldName="CallCost" SummaryType="Sum" />
            </TotalSummary>
            <GroupSummary>
                <dx:ASPxSummaryItem FieldName="Duration" ShowInGroupFooterColumn="Duration" SummaryType="Sum" />
                <dx:ASPxSummaryItem FieldName="CallCost" ShowInGroupFooterColumn="CallCost" SummaryType="Sum" />
            </GroupSummary>
            <SettingsBehavior AllowSort="true" ColumnResizeMode="NextColumn" AutoExpandAllGroups="true" />
            <SettingsPager PageSize="20" AlwaysShowPager="true" />
            <Styles
                TitlePanel-BackColor="DarkOrange"
                TitlePanel-ForeColor="White"
                Header-BackColor="Gray"
                Header-ForeColor="White"
                FilterBar-BackColor="Gainsboro"
                FilterBar-ForeColor="White"
                AlternatingRow-BackColor="WhiteSmoke"
                Header-HorizontalAlign="Center" Header-VerticalAlign="Middle"
                Cell-HorizontalAlign="Center" Cell-VerticalAlign="Middle"
                GroupFooter-HorizontalAlign="Center" GroupFooter-VerticalAlign="Middle"
                Footer-HorizontalAlign="Center" Footer-VerticalAlign="Middle" />
            <SettingsText Title="Call Report" />
        </dx:ASPxGridView>
        <dx:ASPxGridViewExporter ID="gridExporter" runat="server" GridViewID="gv_CallLog" />
        <%-- </ContentTemplate>
                    </asp:UpdatePanel>--%>
        <%--</dx:PanelContent>
            </PanelCollection>
        </dx:ASPxCallbackPanel>--%>
    </div>

    <asp:UpdatePanel ID="upMsgBox" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <br />
            <dx:ASPxPopupControl
                ID="pcMsgBox"
                runat="server"
                MinWidth="250px"
                ClientInstanceName="pcMsgBox"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="WindowCenter"
                PopupVerticalAlign="WindowCenter"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width: 100%;">
                            <tr>
                                <td style="width: 40px;">
                                    <dx:ASPxImage ID="iIcon" runat="server" ImageUrl="~/Images/Info.png" />
                                </td>
                                <td>
                                    <dx:ASPxLabel ID="lblMsg" runat="server" Wrap="true" Text="" EncodeHtml="false" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div style="width: 65px; margin: 0 auto;">
                                        <br />
                                        <br />
                                        <dx:ASPxButton ID="btnOK" runat="server" Text="OK" Width="65px">
                                            <ClientSideEvents Click="function(s, e) { pcMsgBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>
    <asp:SqlDataSource
        ID="sds_CallHistory"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:3CXEnhancedBillingCodesConStr %>"
      ></asp:SqlDataSource>

    <asp:SqlDataSource
        ID="sd_OwnerList"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:3CXEnhancedBillingCodesConStr %>"
        SelectCommand="SELECT 0 as OwnerId, '' as Name UNION SELECT OwnerId, Name FROM Owner where Active = 1  order by Name asc"></asp:SqlDataSource>
    <asp:SqlDataSource
        ID="sdsAccountCodes"
        runat="server"
        ConnectionString="<%$ ConnectionStrings:3CXEnhancedBillingCodesConStr %>"
        SelectCommand="SELECT '' as Code, '' as Description UNION SELECT Code, Description FROM Accounts where Active = 1  order by Code asc"></asp:SqlDataSource>
</asp:Content>
