﻿<%@ Page Title="Settings" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Services.aspx.cs" Inherits="EnhancedBillingCodes.Web.Settings" %>

<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>





<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server"></asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
    <table>
        <tr>
            <td style="width:250px">
                <dx:ASPxRoundPanel ID="ASPxRoundPanel1" runat="server" HeaderText="Service Status" CssClass="ServiceCSS"  Width="100%">
                    <PanelCollection>
                        <dx:PanelContent runat="server" SupportsDisabledAttribute="True">
                <asp:UpdateProgress ID="uprogService" AssociatedUpdatePanelID="upService" runat="server" >
                    <ProgressTemplate>
                        <div style="width:270px; height:100px; position:absolute; left:50%; top:50%; margin:-75px 0 0 -135px; ">
                            <dx:ASPxRoundPanel ID="rpServiceProgress" runat="server" Width="270px" ShowHeader="false" BackColor="White"  >
                                <ContentPaddings Padding="25px" />
                                <PanelCollection>
                                    <dx:PanelContent>
                                        <br />
                                        <table>
                                            <tr>
                                                <td style="vertical-align:middle; padding-right:10px;"><dx:ASPxImage ID="ASPxImage1" ImageUrl="~/Images/loader.gif" runat="server" /></td>
                                                <td style="vertical-align:middle;">
                                                    Updating Windows Service....<br />
                                                    <br />
                                                    Please Wait

                                                </td>
                                            </tr>
                                        </table>
                                        <br />
                                    </dx:PanelContent>
                                </PanelCollection>
                            </dx:ASPxRoundPanel>
                        </div> 
                    </ProgressTemplate> 
                </asp:UpdateProgress>

                <asp:UpdatePanel ID="upService" runat="server">
                    <ContentTemplate>
                        <table style="border-collapse: collapse; border-spacing: 0px; padding: 0px 0px 0px 0px; height: 81px;">
                            <tr>
                                <!-- Start / Stop / Refresh Buttons -->
                                <td colspan="2"><dx:ASPxButton ID="btnRefresh" runat="server" Text="Start" Image-Url="~/Images/Refresh.png" Image-Height="13px" Width="60px" OnClick="btnRefresh_Click" /></td>
                                <td>&nbsp;<asp:LinkButton ID="lbtnRefresh" runat="server" OnClick="lbtnRefresh_Click">Refresh</asp:LinkButton></td>
                            </tr>
                            <tr>
                                <!-- Service Status -->
                                <td>Status:&nbsp;&nbsp;</td>
                                <td><dx:ASPxImage ID="ServiceImage" runat="server" ImageUrl="~/Images/serviceunknown.ico" />&nbsp;</td>
                                <td><dx:ASPxLabel ID="lblStatus" runat="server" Text="Unknown" /> </td>
                            </tr>
                        </table>
                        <asp:Timer ID="Timer1" runat="server" Interval="500" Enabled="false" OnTick="Timer1_Tick" />
                    </ContentTemplate>
                </asp:UpdatePanel>
                        </dx:PanelContent>
                    </PanelCollection>
                 </dx:ASPxRoundPanel>
                
                  

                
            </td>
            <td>
                <dx:ASPxRoundPanel ID="ASPxRoundPanel7" runat="server" Width="100%" Height="300px" HeaderText="Instructions" ContentPaddings-Padding="15px">
                    <ContentPaddings Padding="15px"></ContentPaddings>
                    <PanelCollection>
                        <dx:PanelContent>
                            <dx:ASPxPanel
                                ID="ASPxPanel1"
                                runat="server"
                                CssClass="Help"
                                Width="100%" Height="305px" ScrollBars="Vertical">
                                <PanelCollection>
                                    <dx:PanelContent>
                                        <span class="HelpTitle">General Settings</span><hr />
                                        <dl>

                                            <dt><b>Start / Stop</b></dt>
                                            <dd>A Windows Service (3CX Enhanced Billing Codes) runs in the background monitoring for completed calls.  You can monitor the status
                                                        of this service here (Running, Stopped, Unknown).
                                            </dd>
                                            <dt><b>Refresh:</b></dt>
                                            <dd>The 'Refresh' link will update the status if changes to the service status were made directly in the Windows Service Snap-in.</dd>
                                            <dt><b>Status:</b></dt>
                                            <dd>The status field shows the current state of the Windows service (Started/Stopped). Note:  If the service status is "Unknown" 
                                                this is typically caused by the 3CX Enhanced Billing Codes IIS Application Pool user having insufficient rights.
                                            </dd>
                                        </dl>
                                    </dx:PanelContent>
                                </PanelCollection>
                            </dx:ASPxPanel>
                        </dx:PanelContent>
                    </PanelCollection>
                </dx:ASPxRoundPanel>
            </td>
        </tr>
    </table>

    <asp:UpdatePanel ID="upMsgBox" runat="server" UpdateMode="Conditional">
        <ContentTemplate>
            <br />
            <dx:ASPxPopupControl
                ID="pcMsgBox"
                runat="server"
                MinWidth="250px"
                ClientInstanceName="pcMsgBox"
                AllowDragging="true"
                PopupAnimationType="Fade"
                PopupHorizontalAlign="WindowCenter"
                PopupVerticalAlign="WindowCenter"
                ContentStyle-Paddings-PaddingTop="25px"
                ContentStyle-Paddings-PaddingLeft="25px"
                ContentStyle-Paddings-PaddingRight="25px"
                ContentStyle-Paddings-PaddingBottom="15px">
                <ContentCollection>
                    <dx:PopupControlContentControl>
                        <table style="width:100%;">
                            <tr>
                                <td style="width:40px;"><dx:ASPxImage ID="iIcon" runat="server" ImageUrl="~/Images/Info.png" /></td>
                                <td><dx:ASPxLabel ID="lblMsg" runat="server" Wrap="true" Text="" EncodeHtml="false" /></td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <div style="width:65px; margin: 0 auto;">
                                        <br />
                                        <br />
                                        <dx:ASPxButton ID="btnOK" runat="server" Text="OK" Width="65px">
                                            <ClientSideEvents Click="function(s, e) { pcMsgBox.Hide(); }" />
                                        </dx:ASPxButton>
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </dx:PopupControlContentControl>
                </ContentCollection>
            </dx:ASPxPopupControl>
        </ContentTemplate>
    </asp:UpdatePanel>



</asp:Content>
