﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="WebLicensingControl.ascx.cs" Inherits="VoIPToys.Web.Licensing.UI.WebLicensingControl" %>
<%@ Register Assembly="DevExpress.Web.v16.1, Version=16.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" Namespace="DevExpress.Web" TagPrefix="dx" %>

<dx:ASPxLabel ID="ASPxLabel31" runat="server" Width="100px" Text="Registration" CssClass="SettingsTitle" />

<dx:ASPxLoadingPanel 
    ID="lpRegister" 
    runat="server" 
    Text="Registering... Please wait." 
    Modal="true" 
    Height="100px"
    Paddings-Padding="25px"
    ClientInstanceName="lpRegister"  
    LoadingDivStyle-Opacity="70" 
    LoadingDivStyle-BackColor="Silver" />

<asp:UpdateProgress ID="UpdateProgress1" AssociatedUpdatePanelID="UpdatePanel1" runat="server" >
    <ProgressTemplate>
        <div style="width:270px; height:100px; position:absolute; left:50%; top:50%; margin:-75px 0 0 -135px; ">
            <dx:ASPxRoundPanel ID="ASPxRoundPanel1" runat="server" Width="270px" ShowHeader="false" BackColor="White" >
                <ContentPaddings Padding="25px" />
                <PanelCollection>
                    <dx:PanelContent>
                        <br />
                        <table>
                            <tr>
                                <td style="vertical-align:middle;"><dx:ASPxImage ID="ASPxImage1" ImageUrl="~/Images/loader.gif" runat="server" /></td>
                                <td style="vertical-align:middle;">&nbsp; &nbsp;Registering....  Please Wait</td>
                            </tr>
                        </table>
                        <br />
                    </dx:PanelContent>
                </PanelCollection>
            </dx:ASPxRoundPanel>
        </div> 
    </ProgressTemplate> 
</asp:UpdateProgress>

<asp:UpdatePanel ID="UpdatePanel1" runat="server" ClientIDMode="Static">
    <ContentTemplate>

        <!-- Edit Form -->
        <asp:FormView 
            ID="fvSettingsReg" 
            ClientIDMode="Static"
            runat="server"
            DataSourceID="odsSettingsReg"
            DefaultMode="Edit"
            EnableViewState="true"
            OnItemUpdated="fvSettingsReg_ItemUpdated" > 
            <EditItemTemplate>

                <table style="width: 100%">
                    <tr>
                        <td style="width: 300px">
                            <table>
                                <tr>
                                    <!-- License Key -->
                                    <td>
                                        <dx:ASPxLabel ID="ASPxLabel9" runat="server" Width="100px" Text="License Key:" />
                                    </td>
                                    <td style="width: 10px"></td>
                                    <td>
                                        <dx:ASPxTextBox ID="tbKey" ClientInstanceName="tbKey" runat="server" Text='<%# Bind("Key") %>' Width="300px">
                                            <ValidationSettings RequiredField-IsRequired="true" ErrorDisplayMode=" ImageWithTooltip">
                                                <RequiredField IsRequired="true"></RequiredField>
                                            </ValidationSettings>
                                        </dx:ASPxTextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <!-- Customer Name -->
                                    <td>
                                        <dx:ASPxLabel ID="ASPxLabel10" runat="server" Text="Customer Name:" />
                                    </td>
                                    <td style="width: 10px"></td>
                                    <td>
                                        <dx:ASPxTextBox ID="tbCustName" runat="server" Text='<%# Bind("CustName") %>' Width="300px">
                                            <ValidationSettings RequiredField-IsRequired="true" ErrorDisplayMode=" ImageWithTooltip">
                                                <RequiredField IsRequired="true"></RequiredField>
                                            </ValidationSettings>
                                        </dx:ASPxTextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <!-- Contact -->
                                    <td>
                                        <dx:ASPxLabel ID="ASPxLabel11" runat="server" Text="Contact Name:" />
                                    </td>
                                    <td style="width: 10px"></td>
                                    <td>
                                        <dx:ASPxTextBox ID="tbContact" runat="server" Text='<%# Bind("Contact") %>' Width="300px">
                                            <ValidationSettings RequiredField-IsRequired="true" ErrorDisplayMode=" ImageWithTooltip">
                                                <RequiredField IsRequired="true"></RequiredField>
                                            </ValidationSettings>
                                        </dx:ASPxTextBox>

                                    </td>
                                </tr>
                                <tr>
                                    <!-- Address 1 -->
                                    <td>
                                        <dx:ASPxLabel ID="ASPxLabel12" runat="server" Text="Address 1" />
                                    </td>
                                    <td style="width: 10px"></td>
                                    <td>
                                        <dx:ASPxTextBox ID="tbAddress1" runat="server" Text='<%# Bind("Address1") %>' Width="300px">
                                            <ValidationSettings RequiredField-IsRequired="true" ErrorDisplayMode=" ImageWithTooltip">
                                                <RequiredField IsRequired="true"></RequiredField>
                                            </ValidationSettings>
                                        </dx:ASPxTextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <!-- Address 2 -->
                                    <td>
                                        <dx:ASPxLabel ID="ASPxLabel13" runat="server" Text="Address 2" />
                                    </td>
                                    <td style="width: 10px"></td>
                                    <td>
                                        <dx:ASPxTextBox ID="tbAddress2" runat="server" Text='<%# Bind("Address2") %>' Width="300px">
                                        </dx:ASPxTextBox>

                                    </td>
                                </tr>
                                <tr>
                                    <!-- Address 3 -->
                                    <td>
                                        <dx:ASPxLabel ID="ASPxLabel14" runat="server" Text="Address 3" />
                                    </td>
                                    <td style="width: 10px"></td>
                                    <td>
                                        <dx:ASPxTextBox ID="tbAddress3" runat="server" Text='<%# Bind("Address3") %>' Width="300px">
                                        </dx:ASPxTextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <!-- City -->
                                    <td>
                                        <dx:ASPxLabel ID="ASPxLabel15" runat="server" Text="City:" />
                                    </td>
                                    <td style="width: 10px"></td>
                                    <td>
                                        <dx:ASPxTextBox ID="tbCity" runat="server" Text='<%# Bind("City") %>' Width="300px">
                                            <ValidationSettings RequiredField-IsRequired="true" ErrorDisplayMode="ImageWithTooltip">
                                                <RequiredField IsRequired="true"></RequiredField>
                                            </ValidationSettings>
                                        </dx:ASPxTextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <!-- State -->
                                    <td>
                                        <dx:ASPxLabel ID="ASPxLabel16" runat="server" Text="State/Province:" />
                                    </td>
                                    <td style="width: 10px"></td>
                                    <td>
                                        <dx:ASPxTextBox ID="tbState" runat="server" Text='<%# Bind("State") %>' Width="300px">
                                            <ValidationSettings RequiredField-IsRequired="true" ErrorDisplayMode="ImageWithTooltip">
                                                <RequiredField IsRequired="true"></RequiredField>
                                            </ValidationSettings>
                                        </dx:ASPxTextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <!-- Zip Code -->
                                    <td>
                                        <dx:ASPxLabel ID="ASPxLabel17" runat="server" Text="Zip/Postal Code:" />
                                    </td>
                                    <td style="width: 10px"></td>
                                    <td>
                                        <dx:ASPxTextBox ID="tbZipCode" runat="server" Text='<%# Bind("ZipCode") %>' Width="300px">
                                            <ValidationSettings RequiredField-IsRequired="true" ErrorDisplayMode="ImageWithTooltip">
                                                <RequiredField IsRequired="true"></RequiredField>
                                            </ValidationSettings>
                                        </dx:ASPxTextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <!-- Country -->
                                    <td>
                                        <dx:ASPxLabel ID="ASPxLabel18" runat="server" Text="Country:" />
                                    </td>
                                    <td style="width: 10px"></td>
                                    <td>
                                        <dx:ASPxTextBox ID="tbCountry" runat="server" Text='<%# Bind("Country") %>' Width="300px">
                                            <ValidationSettings RequiredField-IsRequired="true" ErrorDisplayMode="ImageWithTooltip">
                                                <RequiredField IsRequired="true"></RequiredField>
                                            </ValidationSettings>
                                        </dx:ASPxTextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <!-- Phone -->
                                    <td>
                                        <dx:ASPxLabel ID="ASPxLabel19" runat="server" Text="Phone:" />
                                    </td>
                                    <td style="width: 10px"></td>
                                    <td>
                                        <dx:ASPxTextBox ID="tbPhone" runat="server" Text='<%# Bind("Phone") %>' Width="300px">
                                            <ValidationSettings RequiredField-IsRequired="true" ErrorDisplayMode="ImageWithTooltip">
                                                <RequiredField IsRequired="true"></RequiredField>
                                            </ValidationSettings>
                                        </dx:ASPxTextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <!-- Email -->
                                    <td>
                                        <dx:ASPxLabel ID="ASPxLabel20" runat="server" Text="Email:" />
                                    </td>
                                    <td style="width: 10px"></td>
                                    <td>
                                        <dx:ASPxTextBox ID="tbEmail" runat="server" Text='<%# Bind("Email") %>' Width="300px">
                                            <ValidationSettings RequiredField-IsRequired="true" ErrorDisplayMode="ImageWithTooltip">
                                                <RequiredField IsRequired="true"></RequiredField>
                                            </ValidationSettings>
                                        </dx:ASPxTextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <!-- Reseller -->
                                    <td>
                                        <dx:ASPxLabel ID="ASPxLabel21" runat="server" Text="Reseller:" />
                                    </td>
                                    <td style="width: 10px"></td>
                                    <td>
                                        <dx:ASPxTextBox ID="tbReseller" runat="server" Text='<%# Bind("Reseller") %>' Width="300px">
                                            <ValidationSettings RequiredField-IsRequired="true" ErrorDisplayMode="ImageWithTooltip">
                                                <RequiredField IsRequired="true"></RequiredField>
                                            </ValidationSettings>
                                        </dx:ASPxTextBox>

                                        <!-- Authorization Code -->
                                        <asp:HiddenField ID="hfAuthKey" runat="server" Value='<%# Bind("AuthKey") %>' />
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3">
                                        <div style="float: right; padding-right: 28px;">
                                            <table style="border-collapse:collapse; border-spacing:0px;">
                                                <tr>
                                                    <td><dx:ASPxButton ID="btnCancel" runat="server" CommandName="Cancel" Image-Url="~/Images/Cancel.png" Image-Height="13px" Text="Cancel"  /></td>
                                                    <td>
                                                        <dx:ASPxButton ID="btnRegister" runat="server" CommandName="Update" Image-Url="~/Images/Edit.png" Image-Height="13px" Text="Register" ></dx:ASPxButton>
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td>
                            <dx:ASPxRoundPanel ID="rpReg" runat="server" Width="700" Height="300px" HeaderText="Instructions" ContentPaddings-Padding="15px">
                                <ContentPaddings Padding="15px"></ContentPaddings>
                                <PanelCollection>
                                    <dx:PanelContent>
                                        <dx:ASPxPanel
                                            ID="pRegHelp"
                                            runat="server"
                                            ScrollBars="Vertical"
                                            CssClass="Help">
                                            <PanelCollection>
                                                <dx:PanelContent>

                                                    <asp:Panel ID="pThankYou" runat="server">
                                                        <span class="HelpTitle">Thank You</span>
                                                        <hr />
                                                        The license key permits you to install this software on one computer.  This is not free software.
                                                        Please help us to continue to develop solutions for you by honoring this agreement.<br />
                                                        <br />
                                                        <table>
                                                            <tr>
                                                                <td><dx:ASPxLabel ID="lblLicenseKeyLabel" runat="server" Text="License Key:" Wrap="False" /></td>
                                                                <td style="width:5px"></td>
                                                                <td><dx:ASPxTextBox ID="tbLicenseKey" runat="server" Text='<%# Bind("Key") %>' Border-BorderStyle="None" ForeColor="Orange" Enabled="false" /></td>
                                                                <td style="width:5px"></td>
                                                                <td><dx:ASPxLabel ID="lblLicensesLabel" runat="server" Text="Licenses:" Wrap="False" /></td>
                                                                <td style="width:5px"></td>
                                                                <td><dx:ASPxTextBox ID="tbLicenses" runat="server" Text='<%# Bind("Licenses") %>' Border-BorderStyle="None" ForeColor="Orange" Width="100px" Enabled="false" /></td>
                                                            </tr>
                                                            <tr>
                                                                <td><dx:ASPxLabel ID="lblVTProdLabel" runat="server" Text="VoIPTools:" Wrap="False" /></td>
                                                                <td style="width:5px"></td>
                                                                <td><dx:ASPxTextBox ID="tbProdVT" runat="server" Text='<%# Bind("ProdVT") %>' Border-BorderStyle="None" ForeColor="Orange" Enabled="false"  /></td>
                                                                <td style="width:5px"></td>
                                                                <td><dx:ASPxLabel ID="lblActivationLabel" runat="server" Text="Activation:" Wrap="False" /></td>
                                                                <td style="width:5px"></td>
                                                                <td><dx:ASPxTextBox ID="tbActiveDate" runat="server" Text='<%# Bind("ActiveDate") %>' Border-BorderStyle="None" ForeColor="Orange" Width="100px" Enabled="false" /></td>
                                                            </tr>
                                                            <tr>
                                                                <td><dx:ASPxLabel ID="lbl3CXProdLabel" runat="server" Text="3CX Product:" Wrap="False" /></td>
                                                                <td style="width:5px"></td>
                                                                <td><dx:ASPxTextBox ID="tbProd3CX" runat="server" Text='<%# Bind("Prod3CX") %>' Border-BorderStyle="None" ForeColor="Orange" Enabled="false" /></td>
                                                                <td style="width:5px"></td>
                                                                <td><dx:ASPxLabel ID="lblExpLabel" runat="server" Text="Expiration:" Wrap="False" /></td>
                                                                <td style="width:5px"></td>
                                                                <td><dx:ASPxTextBox ID="tbExpireDate" runat="server" Text='<%# Bind("ExpireDate") %>' Border-BorderStyle="None" ForeColor="Orange" Width="100px" Enabled="false" /></td>
                                                            </tr>
                                                        </table>
                                                        <br /><br />
                                                    </asp:Panel>

                                                    <b>Registration Benefits</b><hr />
                                                    Registration is required to authorize your license key.  Registering also makes it possible for us to provide a replacement key if your license key is ever lost.
                                                    Also, it enables us to notify you of any product updates, and reminders if your key is reaching the renewal
                                                    date.<br />
                                                    <br />
                                                    <b>Support</b><hr />
                                                    If you need assistance please contact support at:
                                                    <br />
                                                    <table>
                                                        <tr>
                                                            <td>Toll Free:</td>
                                                            <td></td>
                                                            <td>+1 801-642-4655</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Local:</td>
                                                            <td></td>
                                                            <td>+1 801-642-4655</td>
                                                        </tr>
                                                       
                                                        <tr>
                                                            <td>Email:</td>
                                                            <td></td>
                                                            <td>Support@VoIPTools.com</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Web:</td>
                                                            <td></td>
                                                            <td>http://www.VoIPTools.com</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Mail:</td>
                                                            <td></td>
                                                            <td></td>
                                                        </tr>
                                                        <tr>
                                                            <td></td>
                                                            <td></td>
                                                            <td>VoIPTools, LLC<br />
                                                                4464 Glenwillow Drive<br />
                                                                Batavia, Ohio 45103<br />
                                                                USA
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </dx:PanelContent>
                                            </PanelCollection>
                                        </dx:ASPxPanel>
                                    </dx:PanelContent>
                                </PanelCollection>
                            </dx:ASPxRoundPanel>
                        </td>
                    </tr>
                </table>
                                    
            </EditItemTemplate>
        </asp:FormView>

    </ContentTemplate>
</asp:UpdatePanel>

<asp:UpdatePanel ID="upMsgBox" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
        <br />
        <dx:ASPxPopupControl
            ID="pcMsgBox"
            runat="server"
            MinWidth="250px"
            ClientInstanceName="pcMsgBox"
            AllowDragging="true"
            PopupAnimationType="Fade"
            PopupHorizontalAlign="WindowCenter"
            PopupVerticalAlign="WindowCenter"
            ContentStyle-Paddings-PaddingTop="25px"
            ContentStyle-Paddings-PaddingLeft="25px"
            ContentStyle-Paddings-PaddingRight="25px"
            ContentStyle-Paddings-PaddingBottom="15px">
            <ContentCollection>
                <dx:PopupControlContentControl>
                    <table style="width:100%;">
                        <tr>
                            <td style="width:40px;"><dx:ASPxImage ID="iIcon" runat="server" ImageUrl="~/Images/Info.png" /></td>
                            <td><dx:ASPxLabel ID="lblMsg" runat="server" Wrap="true" Text="" EncodeHtml="false" /></td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <div style="width:65px; margin: 0 auto;">
                                    <br />
                                    <br />
                                    <dx:ASPxButton ID="btnOK" runat="server" Text="OK" Width="65px">
                                        <ClientSideEvents Click="function(s, e) { pcMsgBox.Hide(); }" />
                                    </dx:ASPxButton>
                                </div>
                            </td>
                        </tr>
                    </table>
                </dx:PopupControlContentControl>
            </ContentCollection>
        </dx:ASPxPopupControl>
    </ContentTemplate>
</asp:UpdatePanel>

<!-- Registration Settings -->
<asp:ObjectDataSource 
    ID="odsSettingsReg" 
    runat="server"
    TypeName="VoIPToys.Web.Licensing.UI.WebLicensingControl+SettingsManagerReg"
    SelectMethod="GetSettingsReg"
    UpdateMethod="SaveSettingsReg" OldValuesParameterFormatString="original_{0}" >
    <UpdateParameters>
        <asp:ControlParameter Name="Key"         ControlID="ctl00$MainContent$webLicensingControl$fvSettingsReg$tbKey"      PropertyName="Value" Type="String" ConvertEmptyStringToNull="false" DefaultValue="" />
        <asp:ControlParameter Name="CustName"    ControlID="ctl00$MainContent$webLicensingControl$fvSettingsReg$tbCustName" PropertyName="Value" Type="String" ConvertEmptyStringToNull="false" DefaultValue="" />
        <asp:ControlParameter Name="Contact"     ControlID="ctl00$MainContent$webLicensingControl$fvSettingsReg$tbContact"  PropertyName="Value" Type="String" ConvertEmptyStringToNull="false" DefaultValue="" />
        <asp:ControlParameter Name="Address1"    ControlID="ctl00$MainContent$webLicensingControl$fvSettingsReg$tbAddress1" PropertyName="Value" Type="String" ConvertEmptyStringToNull="false" DefaultValue="" />
        <asp:ControlParameter Name="Address2"    ControlID="ctl00$MainContent$webLicensingControl$fvSettingsReg$tbAddress2" PropertyName="Value" Type="String" ConvertEmptyStringToNull="false" DefaultValue="" />
        <asp:ControlParameter Name="Address3"    ControlID="ctl00$MainContent$webLicensingControl$fvSettingsReg$tbAddress3" PropertyName="Value" Type="String" ConvertEmptyStringToNull="false" DefaultValue="" />
        <asp:ControlParameter Name="City"        ControlID="ctl00$MainContent$webLicensingControl$fvSettingsReg$tbCity"     PropertyName="Value" Type="String" ConvertEmptyStringToNull="false" DefaultValue="" />
        <asp:ControlParameter Name="State"       ControlID="ctl00$MainContent$webLicensingControl$fvSettingsReg$tbState"    PropertyName="Value" Type="String" ConvertEmptyStringToNull="false" DefaultValue="" />
        <asp:ControlParameter Name="ZipCode"     ControlID="ctl00$MainContent$webLicensingControl$fvSettingsReg$tbZipCode"  PropertyName="Value" Type="String" ConvertEmptyStringToNull="false" DefaultValue="" />
        <asp:ControlParameter Name="Country"     ControlID="ctl00$MainContent$webLicensingControl$fvSettingsReg$tbCountry"  PropertyName="Value" Type="String" ConvertEmptyStringToNull="false" DefaultValue="" />
        <asp:ControlParameter Name="Phone"       ControlID="ctl00$MainContent$webLicensingControl$fvSettingsReg$tbPhone"    PropertyName="Value" Type="String" ConvertEmptyStringToNull="false" DefaultValue="" />
        <asp:ControlParameter Name="Email"       ControlID="ctl00$MainContent$webLicensingControl$fvSettingsReg$tbEmail"    PropertyName="Value" Type="String" ConvertEmptyStringToNull="false" DefaultValue="" />
        <asp:ControlParameter Name="Reseller"    ControlID="ctl00$MainContent$webLicensingControl$fvSettingsReg$tbReseller" PropertyName="Value" Type="String" ConvertEmptyStringToNull="false" DefaultValue="" />
        <asp:ControlParameter Name="AuthKey"     ControlID="ctl00$MainContent$webLicensingControl$fvSettingsReg$hfAuthKey"  PropertyName="Value" Type="String" ConvertEmptyStringToNull="false" DefaultValue="" />
        <asp:ControlParameter Name="Licenses"    ControlID="ctl00$MainContent$webLicensingControl$fvSettingsReg$rpReg$pReghelp$tbLicenses"   PropertyName="Value" Type="String" ConvertEmptyStringToNull="false" DefaultValue="" />
        <asp:ControlParameter Name="ProdVT"      ControlID="ctl00$MainContent$webLicensingControl$fvSettingsReg$rpReg$pReghelp$tbProdVT"     PropertyName="Value" Type="String" ConvertEmptyStringToNull="false" DefaultValue="" />
        <asp:ControlParameter Name="Prod3CX"     ControlID="ctl00$MainContent$webLicensingControl$fvSettingsReg$rpReg$pReghelp$tbProd3CX"    PropertyName="Value" Type="String" ConvertEmptyStringToNull="false" DefaultValue="" />
        <asp:ControlParameter Name="ActiveDate"  ControlID="ctl00$MainContent$webLicensingControl$fvSettingsReg$rpReg$pReghelp$tbActiveDate" PropertyName="Value" Type="String" ConvertEmptyStringToNull="false" DefaultValue="" />
        <asp:ControlParameter Name="ExpireDate"  ControlID="ctl00$MainContent$webLicensingControl$fvSettingsReg$rpReg$pReghelp$tbExpireDate" PropertyName="Value" Type="String" ConvertEmptyStringToNull="false" DefaultValue="" />
    </UpdateParameters>
</asp:ObjectDataSource>